; COINTOSSWRAPPER.PRO
;
; This application provides a command line for the user to run the
; cointoss object widget application.
;
; Written by R.M. Dimeo (11/26/02)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pro ctaCleanup,tlb
widget_control,tlb,get_uvalue = pState
obj_destroy,(*pState).o
ptr_free,pState
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pro ctaEvents,event
uname = widget_info(event.id,/uname)
case uname of
'LAUNCH':	$
	begin
	  widget_control,event.top,get_uvalue = pState
	  if obj_valid((*pState).o) then return
	  (*pState).o = obj_new('cointoss',group_leader = event.top)
	end
'QUIT':		widget_control,event.top,/destroy
'CMDLINE':	$
	begin
	widget_control,event.top,get_uvalue = pState
	widget_control,event.id,get_value = cmd
	o = (*pState).o
	result = execute('o->'+cmd[0],1)
	widget_control,event.id,set_value = ''
	end
else:
endcase
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pro coinTossWrapper
tlb = widget_base(/col,title = 'Coin Toss Application')

void = widget_button(tlb,value = 'Launch Object Widget Program',uname = 'LAUNCH')
font1 = "Comic Sans MS*16*BOLD"
font2 = "Comic Sans MS*16"
cmdline = cw_field(tlb,value = '',xsize = 50,title = 'COMMAND', $
	/return_events,uname = 'CMDLINE',/column,font = font1, $
	fieldfont = font2)
quit = widget_button(tlb,value = 'QUIT',uname = 'QUIT')

widget_control,tlb,/realize
state = {o:obj_new()}
pState = ptr_new(state)

widget_control,tlb,set_uvalue = pState
xmanager,'cta',tlb,event_handler = 'ctaEvents',cleanup = 'ctaCleanup'
end