; OBWID__DEFINE.PRO
;
; A first object widget program.
;
; Written by R.M. Dimeo (12/03/02)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pro obWid::quit
widget_control,self.tlb,/destroy
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pro obWid::genRand
rnd = randomn(s,1)
strout = strtrim(string(rnd),2)
widget_control,self.text,set_value = strout
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pro obWidCleanup,tlb
widget_control,tlb,get_uvalue = self
obj_destroy,self
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pro obWidEvents,event
widget_control,event.id,get_uvalue = cmd
call_method,cmd.method,cmd.object
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
function obWid::init
; Create the widgets
self.tlb = widget_base(/col,title = 'First Object Widget')
self.text = widget_text(self.tlb,value = '',xsize = 50)
void = widget_button(self.tlb,value = 'Generate RND', $
		uvalue = {object:self,method:'genRand'})
void = widget_button(self.tlb,value = 'QUIT', $
		uvalue = {object:self,method:'quit'})
widget_control,self.tlb,/realize
widget_control,self.tlb,set_uvalue = self
xmanager,'obWid',self.tlb,event_handler = 'obWidEvents', $
  /no_block,cleanup = 'obWidCleanup'
return,1
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pro obWid__define
define = {	obWid,				$
			tlb:0L,				$
			text:0L				$
		 }
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;