; SQUARE__DEFINE.PRO
;
; Definition of the concrete class SQUARE, a derived class of SHAPE.
;
; Written by R.M. Dimeo (12/01/02)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
function square::getArea
return,self.side^2
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
function square::draw
plots,*self.xPtr,*self.yPtr,/device
return,1
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
function square::init,xc = xc,yc = yc, side = side
retVal =self -> shape::init()
if retVal ne 1 then return,retVal
if n_elements(xc) eq 0 then xc = 100.0
if n_elements(yc) eq 0 then yc = 100.0
if n_elements(side) eq 0 then side = 100.0
self.xc = xc
self.yc = yc
self.side = side
d = self.side
x = [self.xc-0.5*d,self.xc+0.5*d,self.xc+0.5*d,self.xc-0.5*d,self.xc-0.5*d]
y = [self.yc-0.5*d,self.yc-0.5*d,self.yc+0.5*d,self.yc+0.5*d,self.yc-0.5*d]
*self.xPtr = x
*self.yPtr = y
return,1
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pro square__define
define = { square, inherits SHAPE, $
			side:0.0, $
			xc:0.0, $
			yc:0.0	}
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;